<template>
  <v-container class="padding-zero">
    <v-layout column fill-height>
      <v-flex shrink>
        <div class="sub-heading-container">
          <v-row dense>
            <v-col cols="12">
              <v-row dense="">
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div>No. PO : </div>
                    <div>
                      1187998
                    </div>
                  </div>
                </v-col>
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div>Start Time : </div>
                    <div>
                      {{ startTime }}
                    </div>
                  </div>
                </v-col>
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div class="mr-4 mt-auto mb-auto">Cycle Time : </div>
                    <div>
                      21
                    </div>
                  </div>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col cols="12">
              <v-row dense="">
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div>SKU : </div>
                    <div>
                      productName
                    </div>
                  </div>
                </v-col>
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div>End Time : </div>
                    <div>
                      {{ endTime }}
                    </div>
                  </div>
                </v-col>
                <v-col cols="4">
                  <div class="d-flex flex-row">
                    <div class="mr-4 mt-auto mb-auto">Target : </div>
                    <div>
                      192
                    </div>
                  </div>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </div>
      </v-flex>
      <v-flex grow>
        <v-layout column fill-height justify-center class="mx-15">
          <div style="height: 200px;" padding="20px">
            <v-row dense>
              <template v-for="(n, j) in menus">
                <v-col :key="(n, j)" cols="6">
                  <v-hover v-slot="{ hover }">
                    <v-btn
                      :class="{ 'on-hover': hover }"
                      :color="hover ? 'primary' : 'grey'"
                      :to="`/${n.params}`"
                      block
                      min-height="100px"
                    >
                      <div :style="`color:${hover ? 'white' : 'black'}`">
                        {{ n.name }}
                      </div>
                    </v-btn>
                  </v-hover>
                </v-col>
              </template>
            </v-row>
          </div>
        </v-layout>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import * as moment from 'moment'
export default {
  // asyncData ({ req }) {
  //   return {
  //     name: process.static ? 'static' : (process.server ? 'server' : 'client'),
  //   }
  // }
  data: () => ({
    endTime: moment().format('DD MMMM YYYY HH:mm'),
    startTime: moment().format('DD MMMM YYYY HH:mm')
  }),
  computed: {
    menus() {
      return [
        { text: 'Downtime', name: 'Downtime', params: 'downtime' },
        { text: 'Defect', name: 'Defect', params: 'defect' },
        { text: 'Rework', name: 'Rework', params: 'rework' },
        { text: 'Finish Good', name: 'Finish Good', params: 'finish-good' }
      ]
    }
  }
}
</script>

<style scoped>
a {
  color: black;
}
.sub-heading-container {
  background-color: white;
  padding: 20px;
  border-radius: 0px 0px 30px 30px;
}
.padding-zero {
  padding: 0px;
  height: 100%;
}
.btn-menu:hover {
  background-color: blue;
}
</style>
